commit:     ae185380e253a3856e627c5d4720148c31e7cd5e
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 29 22:10:23 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Oct 29 22:10:52 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae185380

net-firewall/iptables: don't install /sbin/ebtables-{save,restore}

If you want to use ebtables-{save,restore} from iptables package, please
call ebtables-nft-{save,restore}.

Follow up to commit 6f554459eb5269d28c4005456c409c99c6d93ba1.

Closes: https://bugs.gentoo.org/669894
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 .../iptables/{iptables-1.8.1.ebuild => iptables-1.8.1-r1.ebuild}       | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/net-firewall/iptables/iptables-1.8.1.ebuild 
b/net-firewall/iptables/iptables-1.8.1-r1.ebuild
similarity index 98%
rename from net-firewall/iptables/iptables-1.8.1.ebuild
rename to net-firewall/iptables/iptables-1.8.1-r1.ebuild
index 3db0cde5904..0183b70bd77 100644
--- a/net-firewall/iptables/iptables-1.8.1.ebuild
+++ b/net-firewall/iptables/iptables-1.8.1-r1.ebuild
@@ -114,6 +114,9 @@ src_install() {
 
                # Bug 660886
                rm "${ED%/}"/sbin/{arptables,ebtables} || die
+
+               # Bug 669894
+               rm "${ED%/}"/sbin/ebtables-{save,restore} || die
        fi
 
        systemd_dounit "${FILESDIR}"/systemd/iptables-{re,}store.service

Reply via email to